Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreInterface.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreInterface.java	(revision 30532)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreInterface.java	(revision 30701)
@@ -227,4 +227,7 @@
             while ((ln = in.readLine()) != null) {
                 lines += ln;
+            }
+            if (Main.isDebugEnabled()) {
+            	Main.debug(lines);
             }
         } catch (MalformedURLException e) {
@@ -544,12 +547,4 @@
     }
 
-    private double tryParseDouble(String str) {
-        try {
-            return Double.parseDouble(str);
-        } catch (NumberFormatException e) {
-            return 0;
-        }
-    }
-
     private void checkLayerDuplicates(WMSLayer wmsLayer) throws DuplicateLayerException {
         if (Main.map != null) {
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreSessionImporter.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreSessionImporter.java	(revision 30532)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreSessionImporter.java	(revision 30701)
@@ -5,10 +5,5 @@
 import java.io.File;
 import java.io.IOException;
-import java.io.InputStream;
-import java.net.URI;
-import java.net.URISyntaxException;
-import java.net.URL;
 import java.net.URLDecoder;
-import java.net.URLEncoder;
 
 import javax.xml.xpath.XPath;
@@ -20,5 +15,4 @@
 import org.openstreetmap.josm.gui.layer.Layer;
 import org.openstreetmap.josm.gui.progress.ProgressMonitor;
-import org.openstreetmap.josm.io.GpxImporter;
 import org.openstreetmap.josm.io.IllegalDataException;
 import org.openstreetmap.josm.io.session.SessionLayerImporter;
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/ImageModifier.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/ImageModifier.java	(revision 30532)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/ImageModifier.java	(revision 30701)
@@ -15,6 +15,4 @@
      */
     //public static int cadastreBackgroundTransp = 1; // original white but transparent
-
-    private static final long serialVersionUID = 1L;
 
     protected int parcelColor = Color.RED.getRGB();
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionGrab.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionGrab.java	(revision 30532)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionGrab.java	(revision 30701)
@@ -2,11 +2,9 @@
 package cadastre_fr;
 
+import static org.openstreetmap.josm.tools.I18n.marktr;
 import static org.openstreetmap.josm.tools.I18n.tr;
-import static org.openstreetmap.josm.tools.I18n.marktr;
 
 import java.awt.event.ActionEvent;
 import java.awt.event.KeyEvent;
-
-import javax.swing.JOptionPane;
 
 import org.openstreetmap.josm.Main;
@@ -14,10 +12,8 @@
 import org.openstreetmap.josm.tools.Shortcut;
 
+/**
+ * Action calling the wms grabber for cadastre.gouv.fr
+ */
 public class MenuActionGrab extends JosmAction {
-
-    /**
-     * Action calling the wms grabber for cadastre.gouv.fr
-     */
-    private static final long serialVersionUID = 1L;
 
     public static String name = marktr("Cadastre grab");
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionRefineGeoRef.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionRefineGeoRef.java	(revision 30532)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionRefineGeoRef.java	(revision 30701)
@@ -1,15 +1,11 @@
 package cadastre_fr;
 
+import static org.openstreetmap.josm.tools.I18n.marktr;
 import static org.openstreetmap.josm.tools.I18n.tr;
-import static org.openstreetmap.josm.tools.I18n.marktr;
 
 import java.awt.event.ActionEvent;
 
-import javax.swing.JOptionPane;
-
-import org.openstreetmap.josm.Main;
 import org.openstreetmap.josm.actions.JosmAction;
 
-@SuppressWarnings("serial")
 public class MenuActionRefineGeoRef extends JosmAction {
 
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/WMSDownloadAction.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/WMSDownloadAction.java	(revision 30532)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/WMSDownloadAction.java	(revision 30701)
@@ -14,6 +14,4 @@
 
 public class WMSDownloadAction /*extends JosmAction */{
-
-    private static final long serialVersionUID = 1L;
 
 //    public WMSDownloadAction(String layerName) {