Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/CzechAddressPlugin.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/CzechAddressPlugin.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/CzechAddressPlugin.java	(revision 30737)
@@ -58,5 +58,5 @@
 
     private JMenu czechMenu;
-    private List<JMenuItem> menuItems = new ArrayList<JMenuItem>();
+    private List<JMenuItem> menuItems = new ArrayList<>();
     private static Logger logger = Logger.getLogger(CzechAddressPlugin.class.getName());
 
@@ -174,5 +174,5 @@
     }
 
-    static private final Set<StatusListener> listeners = new HashSet<StatusListener>();
+    static private final Set<StatusListener> listeners = new HashSet<>();
     static public synchronized void addStatusListener(StatusListener l)    {listeners.add(l);}
     static public synchronized void removeStatusListener(StatusListener l) {listeners.remove(l);}
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/StringUtils.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/StringUtils.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/StringUtils.java	(revision 30737)
@@ -63,6 +63,6 @@
         s2 = anglicize(s2);
 
-        List<Integer> beg1 = new ArrayList<Integer>(4);
-        List<Integer> beg2 = new ArrayList<Integer>(4);
+        List<Integer> beg1 = new ArrayList<>(4);
+        List<Integer> beg2 = new ArrayList<>(4);
 
         char lastChar = ' ';
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/actions/SplitAreaByEmptyWayAction.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/actions/SplitAreaByEmptyWayAction.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/actions/SplitAreaByEmptyWayAction.java	(revision 30737)
@@ -55,5 +55,5 @@
 
         Collection<Way> selectedWays = Main.main.getCurrentDataSet().getSelectedWays();
-        Collection<Way> newSelection = new LinkedList<Way>(Main.main.getCurrentDataSet().getSelectedWays());
+        Collection<Way> newSelection = new LinkedList<>(Main.main.getCurrentDataSet().getSelectedWays());
 
         for (Way area : selectedWays) {
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/Database.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/Database.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/Database.java	(revision 30737)
@@ -29,5 +29,5 @@
      * List of regions, which are in this database.
      */
-    public ArrayList<Region> regions = new ArrayList<Region>();
+    public ArrayList<Region> regions = new ArrayList<>();
 
     public Region findRegion(String name, String nuts3, String nuts4) {
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/ElementWithHouses.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/ElementWithHouses.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/ElementWithHouses.java	(revision 30737)
@@ -18,5 +18,5 @@
     }
 
-    protected List<House> houses = new ArrayList<House>(30);
+    protected List<House> houses = new ArrayList<>(30);
 
     /**
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/ElementWithStreets.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/ElementWithStreets.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/ElementWithStreets.java	(revision 30737)
@@ -13,5 +13,5 @@
 public abstract class ElementWithStreets extends ElementWithHouses {
 
-    private ArrayList<Street> streets = new ArrayList<Street>();
+    private ArrayList<Street> streets = new ArrayList<>();
 
     public ElementWithStreets(String name) {
@@ -78,5 +78,5 @@
     public List<House> getAllHouses() {
         // We make an conservative estimate...
-        List<House> result = new ArrayList<House>(20 * streets.size());
+        List<House> result = new ArrayList<>(20 * streets.size());
 
         result.addAll(this.houses);
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/House.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/House.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/House.java	(revision 30737)
@@ -189,5 +189,5 @@
     public List<Proposal> getDiff(OsmPrimitive prim) {
 
-        List<Proposal> props = new NotNullList<Proposal>();
+        List<Proposal> props = new NotNullList<>();
         ParentResolver resolver = new ParentResolver(this);
 
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/Region.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/Region.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/Region.java	(revision 30737)
@@ -12,5 +12,5 @@
 
     private ArrayList<ViToCi> vitocis
-            = new ArrayList<ViToCi>();
+            = new ArrayList<>();
 
     /**
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/Street.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/Street.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/Street.java	(revision 30737)
@@ -43,5 +43,5 @@
     @Override
     public List<Proposal> getDiff(OsmPrimitive prim) {
-        List<Proposal> props = new NotNullList<Proposal>();
+        List<Proposal> props = new NotNullList<>();
 
         props.add(getStringFieldDiff(PrimUtils.KEY_NAME, prim.get(PrimUtils.KEY_NAME), getName()));
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/ViToCi.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/ViToCi.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/ViToCi.java	(revision 30737)
@@ -11,5 +11,5 @@
 public class ViToCi extends ElementWithStreets {
 
-    private ArrayList<Suburb> suburbs = new ArrayList<Suburb>();
+    private ArrayList<Suburb> suburbs = new ArrayList<>();
 
     /**
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/ConflictResolver.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/ConflictResolver.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/ConflictResolver.java	(revision 30737)
@@ -327,7 +327,7 @@
     private class ConflictsModel implements ComboBoxModel<Object> {
 
-        ArrayList<AddressElement> elements = new ArrayList<AddressElement>();
-        ArrayList<OsmPrimitive> primitives = new ArrayList<OsmPrimitive>();
-        Set<ListDataListener> listeners = new HashSet<ListDataListener>();
+        ArrayList<AddressElement> elements = new ArrayList<>();
+        ArrayList<OsmPrimitive> primitives = new ArrayList<>();
+        Set<ListDataListener> listeners = new HashSet<>();
 
         Object selected = null;
@@ -470,5 +470,5 @@
         if (selected instanceof AddressElement) {
             AddressElement selElem = (AddressElement) selected;
-            List<OsmPrimitive> conflPrims = new NotNullList<OsmPrimitive>();
+            List<OsmPrimitive> conflPrims = new NotNullList<>();
             conflPrims.addAll(Reasoner.getInstance().getCandidates(selElem));
             Collections.sort(conflPrims, PrimUtils.comparator);
@@ -477,5 +477,5 @@
         } else if (selected instanceof OsmPrimitive) {
             OsmPrimitive selElem = (OsmPrimitive) selected;
-            List<AddressElement> conflElems = new NotNullList<AddressElement>();
+            List<AddressElement> conflElems = new NotNullList<>();
             conflElems.addAll(Reasoner.getInstance().getCandidates(selElem));
             Collections.sort(conflElems);
@@ -514,5 +514,5 @@
     private class CandidatesModel<E> implements ComboBoxModel<E> {
 
-        Set<ListDataListener> listeners = new HashSet<ListDataListener>();
+        Set<ListDataListener> listeners = new HashSet<>();
         List<? extends E> primitives;
         Object selected = null;
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/FactoryDialog.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/FactoryDialog.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/FactoryDialog.java	(revision 30737)
@@ -473,5 +473,5 @@
 
         private List<ElementWithHouses> metaElem
-                = new ArrayList<ElementWithHouses>();
+                = new ArrayList<>();
 
         public StreetListModel() {
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/LocationSelector.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/LocationSelector.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/LocationSelector.java	(revision 30737)
@@ -33,9 +33,9 @@
 
     protected ElementWithStreets selectedElement;
-    protected ArrayList<ItemListener> listeners = new ArrayList<ItemListener>();
+    protected ArrayList<ItemListener> listeners = new ArrayList<>();
     int regionHlIndex, vitociHlIndex, suburbHlIndex;
-    protected ArrayList<AddressElement> hlRegions = new ArrayList<AddressElement>();
-    protected ArrayList<AddressElement> hlViToCis = new ArrayList<AddressElement>();
-    protected ArrayList<AddressElement> hlSuburbs = new ArrayList<AddressElement>();
+    protected ArrayList<AddressElement> hlRegions = new ArrayList<>();
+    protected ArrayList<AddressElement> hlViToCis = new ArrayList<>();
+    protected ArrayList<AddressElement> hlSuburbs = new ArrayList<>();
 
 
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/ManagerDialog.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/ManagerDialog.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/ManagerDialog.java	(revision 30737)
@@ -36,5 +36,5 @@
 public class ManagerDialog extends ExtendedDialog {
 
-    RenameModel<Street> streetModel = new RenameModel<Street>();
+    RenameModel<Street> streetModel = new RenameModel<>();
 
     public ManagerDialog() {
@@ -382,6 +382,6 @@
     private class RenameModel<Element> implements TableModel {
 
-        List<Element> elems = new ArrayList<Element>();
-        List<String>  names = new ArrayList<String>();
+        List<Element> elems = new ArrayList<>();
+        List<String>  names = new ArrayList<>();
 
         public int getRowCount() {
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/PointManipulatorDialog.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/PointManipulatorDialog.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/PointManipulatorDialog.java	(revision 30737)
@@ -137,5 +137,5 @@
         OsmPrimitive prim = this.proposalContainer.getTarget();
         Reasoner r = Reasoner.getInstance();
-        List<AddressElement> elems = new NotNullList<AddressElement>();
+        List<AddressElement> elems = new NotNullList<>();
 
         synchronized (r) {
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/utils/HalfCookedComboBoxModel.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/utils/HalfCookedComboBoxModel.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/utils/HalfCookedComboBoxModel.java	(revision 30737)
@@ -18,5 +18,5 @@
 public abstract class HalfCookedComboBoxModel<E> implements ComboBoxModel<E> {
 
-    List<ListDataListener> listeners = new ArrayList<ListDataListener>();
+    List<ListDataListener> listeners = new ArrayList<>();
 
     @Override
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/utils/HalfCookedListModel.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/utils/HalfCookedListModel.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/utils/HalfCookedListModel.java	(revision 30737)
@@ -18,5 +18,5 @@
 public abstract class HalfCookedListModel<E> implements ListModel<E> {
 
-    List<ListDataListener> listeners = new ArrayList<ListDataListener>();
+    List<ListDataListener> listeners = new ArrayList<>();
 
     @Override
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/utils/HalfCookedTreeModel.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/utils/HalfCookedTreeModel.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/utils/HalfCookedTreeModel.java	(revision 30737)
@@ -20,5 +20,5 @@
 public abstract class HalfCookedTreeModel implements TreeModel {
 
-    List<TreeModelListener> listeneres = new ArrayList<TreeModelListener>();
+    List<TreeModelListener> listeneres = new ArrayList<>();
 
     protected String root;
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/intelligence/Capitalizator.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/intelligence/Capitalizator.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/intelligence/Capitalizator.java	(revision 30737)
@@ -33,8 +33,8 @@
         int expResults = elems.size()/2;
 
-        map  = new HashMap<Street, OsmPrimitive>(expResults);
+        map  = new HashMap<>(expResults);
         ExecutorService serv = Executors.newCachedThreadPool();
         Map<Street, Future<OsmPrimitive>> results
-                = new HashMap<Street, Future<OsmPrimitive>>(expResults);
+                = new HashMap<>(expResults);
 
         for (Street elem : elems)
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/intelligence/Reasoner.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/intelligence/Reasoner.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/intelligence/Reasoner.java	(revision 30737)
@@ -44,15 +44,15 @@
 
     private     Map<OsmPrimitive, AddressElement> primBestIndex
-      = new HashMap<OsmPrimitive, AddressElement> ();
+      = new HashMap<> ();
     private     Map<AddressElement, OsmPrimitive> elemBestIndex
-      = new HashMap<AddressElement, OsmPrimitive> ();
+      = new HashMap<> ();
 
     private     Map<OsmPrimitive,   Map<AddressElement, Integer>> primMatchIndex
-      = new HashMap<OsmPrimitive,   Map<AddressElement, Integer>> ();
+      = new HashMap<> ();
     private     Map<AddressElement, Map<OsmPrimitive,   Integer>> elemMatchIndex
-      = new HashMap<AddressElement, Map<OsmPrimitive,   Integer>> ();
-
-    private Set<OsmPrimitive>   primToUpdate = new HashSet<OsmPrimitive>();
-    private Set<AddressElement> elemToUpdate = new HashSet<AddressElement>();
+      = new HashMap<> ();
+
+    private Set<OsmPrimitive>   primToUpdate = new HashSet<>();
+    private Set<AddressElement> elemToUpdate = new HashSet<>();
 
     public static Logger logger = Logger.getLogger(Reasoner.class.getName());
@@ -127,6 +127,6 @@
         assert transactionOpened;
 
-        Set<AddressElement> elemChanges = new HashSet<AddressElement>();
-        Set<OsmPrimitive>   primChanges = new HashSet<OsmPrimitive>();
+        Set<AddressElement> elemChanges = new HashSet<>();
+        Set<OsmPrimitive>   primChanges = new HashSet<>();
 
         for (OsmPrimitive prim : primToUpdate) {
@@ -204,5 +204,5 @@
         if (matches == null) {
             logger.log(Level.FINE, "new primitive detected", AddressElement.getName(prim));
-            matches = new HashMap<AddressElement, Integer>();
+            matches = new HashMap<>();
             primMatchIndex.put(prim, matches);
             primToUpdate.add(prim);
@@ -232,5 +232,5 @@
         if (matches == null) {
             logger.log(Level.FINE, "new element detected", elem);
-            matches = new HashMap<OsmPrimitive, Integer>();
+            matches = new HashMap<>();
             elemMatchIndex.put(elem, matches);
             elemToUpdate.add(elem);
@@ -472,5 +472,5 @@
     public Set<AddressElement> getCandidates(OsmPrimitive prim) {
 
-        Set<AddressElement> result = new HashSet<AddressElement>();
+        Set<AddressElement> result = new HashSet<>();
         if (primMatchIndex.get(prim) == null) return result;
 
@@ -506,5 +506,5 @@
     public Set<OsmPrimitive> getCandidates(AddressElement elem) {
 
-        Set<OsmPrimitive> result = new HashSet<OsmPrimitive>();
+        Set<OsmPrimitive> result = new HashSet<>();
         if (elemMatchIndex.get(elem) == null) return result;
 
@@ -627,5 +627,5 @@
      */
     public Set<AddressElement> getUnassignedElements() {
-        Set<AddressElement> result = new HashSet<AddressElement>();
+        Set<AddressElement> result = new HashSet<>();
         for (AddressElement elem : elemMatchIndex.keySet())
             if (translate(elem) == null)
@@ -638,5 +638,5 @@
      */
     public Set<OsmPrimitive> getUnassignedPrimitives() {
-        Set<OsmPrimitive> result = new HashSet<OsmPrimitive>();
+        Set<OsmPrimitive> result = new HashSet<>();
         for (OsmPrimitive prim : primMatchIndex.keySet())
             if (translate(prim) == null)
@@ -650,5 +650,5 @@
      */
     public Set<AddressElement> getAllElements() {
-        Set<AddressElement> result = new HashSet<AddressElement>();
+        Set<AddressElement> result = new HashSet<>();
         result.addAll(elemMatchIndex.keySet());
         return result;
@@ -660,5 +660,5 @@
      */
     public Set<OsmPrimitive> getAllPrimitives() {
-        Set<OsmPrimitive> result = new HashSet<OsmPrimitive>();
+        Set<OsmPrimitive> result = new HashSet<>();
         result.addAll(primMatchIndex.keySet());
         return result;
@@ -695,5 +695,5 @@
      * Set of listeners currently hooked to changes in this reasoner.
      */
-    private Set<ReasonerListener> listeners = new HashSet<ReasonerListener>();
+    private Set<ReasonerListener> listeners = new HashSet<>();
 
     /**
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/intelligence/SelectionMonitor.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/intelligence/SelectionMonitor.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/intelligence/SelectionMonitor.java	(revision 30737)
@@ -20,5 +20,5 @@
 public class SelectionMonitor implements SelectionChangedListener {
 
-    Collection<OsmPrimitive> lastSelection = new NotNullList<OsmPrimitive>();
+    Collection<OsmPrimitive> lastSelection = new NotNullList<>();
 
     private SelectionMonitor() {}
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/proposal/ProposalContainer.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/proposal/ProposalContainer.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/proposal/ProposalContainer.java	(revision 30737)
@@ -29,5 +29,5 @@
      */
     private List<ListDataListener> listeners =
-            new ArrayList<ListDataListener>();
+            new ArrayList<>();
 
     /**
@@ -64,5 +64,5 @@
      * The list of proposals to be applied to encapsulated primitive.
      */
-    protected List<Proposal> proposals = new ArrayList<Proposal>();
+    protected List<Proposal> proposals = new ArrayList<>();
 
     /**
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/proposal/ProposalDatabase.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/proposal/ProposalDatabase.java	(revision 30736)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/proposal/ProposalDatabase.java	(revision 30737)
@@ -25,5 +25,5 @@
      */
     protected List<ProposalContainer> changeSet =
-             new ArrayList<ProposalContainer>();
+             new ArrayList<>();
 
     /**
@@ -31,5 +31,5 @@
      */
     protected List<TreeModelListener> listeners =
-            new ArrayList<TreeModelListener>();
+            new ArrayList<>();
 
     /**